Bug 475132 - Review Request: usbmon - Front-end for in-kernel usbmon
Review Request: usbmon - Front-end for in-kernel usbmon
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-07 22:30 EST by Pete Zaitcev
Modified: 2008-12-26 15:15 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-26 15:15:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Pete Zaitcev 2008-12-07 22:30:18 EST
Spec URL: http://people.redhat.com/zaitcev/tmp/usbmon.spec
SRPM URL: http://people.redhat.com/zaitcev/tmp/usbmon-5.2-1.src.rpm

Description:
The usbmon program collects and prints a trace of USB transactions as they
occur between the USB core and HCDs. Analyzing the trace helps to debug the
kernel USB stack, device firmware, and applications.

This is the submitter's first package and a sponsor is needed.
Comment 1 Fabian Affolter 2008-12-08 04:35:19 EST
Just some quick comments on your spec file

- 'Version: 4.05', the latest version is 4.06

- 'Group: File tools' is not a valid group.
  -> 'less /usr/share/doc/rpm-*/GROUPS' for a list with valid group entries

- 'Requires:  perl...' is missing, take a look at https://fedoraproject.org/wiki/Packaging/Perl#Versioned_MODULE_COMPAT__Requires

- '%defattr(-,root,root)' is normally '%defattr(-,root,root,-)'

- Your Changelog entry is missing the Release. See https://fedoraproject.org/wiki/Packaging/Guidelines#Changelogs
Comment 2 Pete Zaitcev 2008-12-08 08:31:29 EST
The comments above apparently belong to some different package.
Comment 3 Fabian Affolter 2008-12-08 09:02:08 EST
Hmmm, yes the comments are for clamtk.  Sorry.

One for this package:  'Release:  1' should be 'Release:  1%{dist}'
Comment 4 Pete Zaitcev 2008-12-08 10:46:48 EST
(In reply to comment #3)
> One for this package:  'Release:  1' should be 'Release:  1%{dist}'

Fixed
N.B. This changes the SRPM URL:
http://people.redhat.com/zaitcev/tmp/usbmon-5.2-1.fc11.src.rpm
Comment 5 Kevin Fenzi 2008-12-13 18:53:06 EST
I'd be happy to review this and sponsor you... look for a full review in a bit.
Comment 6 Kevin Fenzi 2008-12-13 19:13:25 EST
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name. 
OK - Spec has consistant macro usage. 
OK - Meets Packaging Guidelines. 
OK - License (GPLv2)
OK - License field in spec matches
OK - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
cbba81a5b47b811dafd897cd7bd72dee  usbmon-5.2.tar.gz
cbba81a5b47b811dafd897cd7bd72dee  usbmon-5.2.tar.gz.orig


See below - Package needs ExcludeArch
OK - BuildRequires correct
OK - Package has %defattr and permissions on files is good. 
OK - Package has a correct %clean section. 
OK - Package has correct buildroot
OK - Package is code or permissible content. 
OK - Packages %doc files don't affect runtime. 
OK - Package has rm -rf RPM_BUILD_ROOT at top of %install

OK - Package compiles and builds on at least one arch. 
OK - Package has no duplicate files in %files. 
OK - Package doesn't own any directories other packages own. 
OK - Package owns all the directories it creates. 
OK - No rpmlint output. 
OK - final provides and requires are sane

SHOULD Items:

OK - Should build in mock. 
OK - Should build on all supported archs
OK - Should have dist tag
OK - Should package latest version

Issues: 

A few general comments, unrelated to the packaging and thus moot for the review, 
but I thought I would mention them: 

- You have your upstream url as your people.redhat.com page. 
Perhaps it would be good to use a fedorahosted.org site for this? 
That way you get bug tracking/mailing lists/vcs repo, etc. 
See: https://fedorahosted.org/web/new

- You might add a note about the license version to the .c file. 
No big deal since it's mentioned other places and is clearly your intent, 
but just to be paranoid. ;) 

Now, on to issues about the package: 

1. I have no idea on the ExcludeArch. Does s390 have usb? 
In any case it's not a blocker here as Fedora doesn't have s390 as a primary arch.
You might ask the s390 list?

I don't see any other blockers here, this is a very simple package, 
and is APPROVED. 

Go ahead and continue the process from
http://fedoraproject.org/wiki/PackageMaintainers/Join#Get_a_Fedora_Account
If you have any questions don't hesitate to contact me via bugzilla, email, 
or on irc (nirik on freenode).
Comment 7 Pete Zaitcev 2008-12-14 00:18:31 EST
(In reply to comment #6)
> - You have your upstream url as your people.redhat.com page. 
> Perhaps it would be good to use a fedorahosted.org site for this? 
> That way you get bug tracking/mailing lists/vcs repo, etc. 
> See: https://fedorahosted.org/web/new

I hoped to get by, because thus far usbmon only received 3 patches
from external contributors. It's a very simple, even trivial tool.
But I'll keep this in mind, especially if they come out once they
see it packaged.

> - You might add a note about the license version to the .c file. 
> No big deal since it's mentioned other places and is clearly your intent, 
> but just to be paranoid. ;) 

How about I do it in 5.3, so as not to invalidate the approval of 5.2?
Comment 8 Kevin Fenzi 2008-12-14 01:40:44 EST
>I hoped to get by, because thus far usbmon only received 3 patches
>from external contributors. It's a very simple, even trivial tool.
>But I'll keep this in mind, especially if they come out once they
>see it packaged.

Yeah, may be more overhead than needed now, but something to consider. 

> How about I do it in 5.3, so as not to invalidate the approval of 5.2?

If you want to post a updated spec/src.rpm, I would be happy to look it over. 
Or you can just import it with that change... thats fine as well.
Comment 9 Pete Zaitcev 2008-12-14 01:55:04 EST
New Package CVS Request
=======================
Package Name: usbmon
Short Description: The front-end for usbmon
Owners: zaitcev
Branches: F-9 F-10
InitialCC: zaitcev
Comment 10 Kevin Fenzi 2008-12-14 02:00:45 EST
cvs done.
Comment 11 Pete Zaitcev 2008-12-26 15:15:16 EST
"yum install usbmon" works in Rawhide (10.90), closing as NEXTRELEASE.

Note You need to log in before you can comment on or make changes to this bug.